Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511542 - assignment endpoint to alert is impossible
Summary: assignment endpoint to alert is impossible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.9.0
Assignee: Eric Winchell
QA Contact: Shalom Naim
URL:
Whiteboard: containers
Depends On: 1461943
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 14:26 UTC by Shalom Naim
Modified: 2018-03-06 15:07 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 15:07:38 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)
assignments view (deleted)
2017-11-09 14:26 UTC, Shalom Naim
no flags Details
verified issue (deleted)
2017-11-14 11:04 UTC, Shalom Naim
no flags Details

Description Shalom Naim 2017-11-09 14:26:20 UTC
Created attachment 1349960 [details]
assignments view

Description of problem:
No "save" button available for assignments alert to profile


Version-Release number of selected component (if applicable):
CFME Version:            5.9.0.7

How reproducible:
100%

Steps to Reproduce:
1. Go to: control -> explorer
2. Create a new alert based on "Node" and evaluated by "External Prometheus Alerts"
3. Add the new Alert To an Alert Profile.
4. Assign the New Alert Profile to the enterprise

Expected results:
The assignments view have to contain a "save" button to apply the new configuration

Comment 2 Shalom Naim 2017-11-14 11:04:49 UTC
Created attachment 1351882 [details]
verified issue

Comment 3 CFME Bot 2017-11-29 20:35:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c03b8fb599102cba14baae5037ab1c8e46c66312

commit c03b8fb599102cba14baae5037ab1c8e46c66312
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 9 09:50:13 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 9 13:11:29 2017 -0500

    Merge pull request #2685 from ManageIQ/revert-2618-form_button_cleanup1
    
    Revert "form button styling clean up"
    (cherry picked from commit 36b7cf1731b4437dd225aaed0e2fc1118e57cbfe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511340
    https://bugzilla.redhat.com/show_bug.cgi?id=1510911
    https://bugzilla.redhat.com/show_bug.cgi?id=1511192
    https://bugzilla.redhat.com/show_bug.cgi?id=1511188
    https://bugzilla.redhat.com/show_bug.cgi?id=1510650
    https://bugzilla.redhat.com/show_bug.cgi?id=1511325
    https://bugzilla.redhat.com/show_bug.cgi?id=1511542

 app/assets/stylesheets/patternfly_overrides.scss   |  15 +-
 app/views/layouts/_x_dialog_buttons.html.haml      | 105 ++++----
 app/views/layouts/_x_edit_buttons.html.haml        | 264 ++++++++++-----------
 app/views/layouts/_x_form_buttons.html.haml        |   2 +-
 .../layouts/angular/_paging_div_buttons.html.haml  |   3 +-
 app/views/vm_common/_right_size.html.haml          |   2 +-
 6 files changed, 191 insertions(+), 200 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.